| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::TagCompleter Class Reference
Inheritance diagram for Digikam::TagCompleter:

## Signals
void | signalActivated (const TaggingAction &action)
void | signalHighlighted (const TaggingAction &action)

## Public Member Functions
| TagCompleter (QObject *const parent=nullptr)
| A completion object operating on a TagModel.
void | setContextParentTag (int parentTagId)
| Set a parent tag which may by the user be considered as a parent for a new tag during completion.
void | setSupportingTagModel (TagModel *const supportingModel)
| Set a supporting model from which the completer may get data for its display.
void | setTagFilterModel (AlbumFilterModel *const supportingModel)
void | update (const QString &fragment)
| Update the completer for the given fragment.

## Member Function Documentation

## ◆ setSupportingTagModel()

void Digikam::TagCompleter::setSupportingTagModel | ( | TagModel *const | supportingModel | ) |

Optional.